import React, { Component } from 'react';
import '../content.less';
import LeftTab from './leftTab';
import TechDemand from './techDemand';


class Content extends Component {
    constructor() {
        super();
        this.state = {
            loading: false,
            component: 'div',
        };
    }
    componentWillMount() {
        if (window.location.hash) {
            this.getKey(window.location.hash.substr(1));
        } else {
            this.getKey("orgTechDemand");
        };
    }
    getKey(key) {
        switch (key) {
            case 'orgTechDemand':
                require.ensure([], () => {
                    const TechDemand = require('./techDemand').default;
                    this.setState({
                        component: TechDemand,
                        listApiUrl: '/api/admin/demand/orgList',
                        detailApiUrl: '/api/admin/demand/orgDemandDetail'
                    });
                });
                break;
            case 'userTechDemand':
                require.ensure([], () => {
                    const TechDemand = require('./techDemand').default;
                    this.setState({
                        component: TechDemand,
                        listApiUrl: '/api/admin/demand/userList',
                        detailApiUrl: '/api/admin/demand/userDemandDetail'
                    });
                });
                break;
            case 'orgDemandOrder':
                require.ensure([], () => {
                    const DemandOrder = require('./demandOrder').default;
                    this.setState({
                        component: DemandOrder,
                        listApiUrl: '/api/admin/portal/order/orgDemandOrderList',
                        detailApiUrl: '/api/admin/demand/orgDemandDetail'
                    });
                });
                break;
            case 'userDemandOrder':
                require.ensure([], () => {
                    const DemandOrder = require('./demandOrder').default;
                    this.setState({
                        component: DemandOrder,
                        listApiUrl: '/api/admin/portal/order/userDemandOrderList',
                        detailApiUrl: '/api/admin/demand/userDemandDetail'
                    });
                });
                break;
        };
        window.location.hash = key;
    }
    render() {
        return (
            <div className="manage-content">
                <LeftTab handlekey={this.getKey.bind(this)} />
                <div className="content-right">
                    <this.state.component
                        data-listApiUrl={this.state.listApiUrl}
                        data-detailApiUrl={this.state.detailApiUrl} />
                </div>
            </div>
        )
    }
}

export default Content;
